Subject: Re: [EAI] new to list and a question

From: "YAO Jiankang" <[email-masked]>
Date: Fri, 19 Sep 2008 09:44:45 +0800

----- Original Message ----- 
From: "Jeff Macdonald" <[email-masked]>
To: <[email-masked]>
Sent: Friday, September 19, 2008 2:19 AM
Subject: [EAI] new to list and a question

> Hi all,
> 
> I just read RFC 5336, the EAI SMTP extension doc. The last paragraph in
> section 3.7.4.2. is:
> 
> Although UTF-8 is needed to represent email addresses in responses
> under the rules specified in this section, this extension does not
> permit the use of UTF-8 for any other purposes.  SMTP servers MUST
> NOT include non-ASCII characters in replies except in the limited
> cases specifically permitted in this section.
> 
> I'm reading this to mean that this rules out someone doing something
> like this:
> 
> 550 5.7.1 塩味の肉製品の特定利用について
> 
> (that is Japanese for "Salty meat products not accepted here", well
> according to Google translate).
> 
> If that is true, it seems like the SMTP extension UTF8SMTP would of been
> better named EAISMTP. I apologize if this was covered on the list
> before, as I haven't read the archive extensively yet.

same word has different meaning under different context. the meaning of the word depends on how to define it.

in RFC5336,  extension UTF8SMTP is to allow internationalized email address. UTF8SMTP also indicates that the internationalized email address must be presented as UTF-8 encoding if it appears.

EAISMTP does not has the hint that the internationalized email address must be presented as UTF-8 encoding.

I remember that the WG has balanced the meaning when discussing and choosing the word UTF8SMTP other than similar words such as EAISMTP.

YAO Jiankang
CNNIC

> 
> Is there a plan to allow the scenario I listed above?
> 
> PS - I haven't read the other two docs yet, so those may cover it, but
> they do, it would seem to contradict 5336).
> 
> -- 
> Jeff Macdonald <[email-masked]>
> e-Dialog
> 
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima
>
_______________________________________________
IMA mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ima

---

From: Harald Alvestrand <[email-masked]>
Date: Sat, 20 Sep 2008 20:08:18 +0200

> I remember that the WG has balanced the meaning when discussing and choosing the word UTF8SMTP other than similar words such as EAISMTP.
I remember the discussion (during the face-to-face DT meeting in 
Beijing, which I attended via videoconference).
It was unanimous among the participants that the exact string wasn't all 
that important, but that it was important to have one and use it 
consistently - UTF8SMTP was picked, among other things, because a Google 
search turned up no hits for it.

Don't read too much into the name....

                 Harald